LIMNORIA-PLUGIN-DOC(1)

NAME
limnoria-plugin-doc - Generates the documentation for a Limnoria plugin

SYNOPSIS
limnoria-plugin-doc [options]

DESCRIPTION
limnoria-plugin-doc is used to generate documentation (StructuredText or reStructuredText format) for a limnoria(1) plugin.

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-c, --clean
    Clean the various data/conf/log directories after generating the docs.

-o, --output-dir=OUTPUTDIR
    Specifies the directory in which to write the documentation for the plugin.

-f, --format=FORMAT
    Specifies which output format to use. Choices are 'rst' or 'stx'.

--plugins-dir=PLUGINSDIRS
    Looks in the given directory for plugins and generates documentation for all of them.

SEE ALSO
python(1), limnoria(1), limnoria-test(1), limnoria-botchk(1), limnoria-wizard(1), limnoria-adduser(1), limnoria-plugin-create(1)

AUTHOR
This manual page was originally written by James McCoy <vega dot james at gmail dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Limnoria license, a BSD-style license.